module SvgElementDefaults
  extend ActiveSupport::Concern
  included do
    property :svg
    property :name
    property :dpm, type: Float, default: 300
    property :box_width, type: Float, default: 300
    property :box_height, type: Float, default: 300
    validates :dpm, numericality: {greater_than: 0}
  end
end
